Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12
Class ServiceRefHandlerTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12.ServiceRefHandlerTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefHandlerType<T>

    public class ServiceRefHandlerTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefHandlerType<T>

This class implements the `service-ref_handlerType` xsd type

Original Documentation:

Declares the handler for a port-component. Handlers can access the
init-param name/value pairs using the HandlerInfo interface. If
port-name is not specified, the handler is assumed to be associated
with all ports of the service.
Used in: service-ref

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ServiceRefHandlerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ServiceRefHandlerTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getHandlerClass()` Returns the `handler-class` element
`java.lang.String` | `getHandlerName()` Returns the `handler-name` element
`java.util.List<IconType<ServiceRefHandlerType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<ParamValueType<ServiceRefHandlerType<T>>>` | `getInitParamList()` Returns all `init-param` elements
`java.util.List<java.lang.String>` | `getPortNameList()` Returns all `port-name` elements
`java.util.List<java.lang.String>` | `getSoapHeaderList()` Returns all `soap-header` elements
`java.util.List<java.lang.String>` | `getSoapRoleList()` Returns all `soap-role` elements
`IconType<ServiceRefHandlerType<T>>` | `icon()` Returns the `icon` element
`ParamValueType<ServiceRefHandlerType<T>>` | `initParam()` Returns the `init-param` element
`ServiceRefHandlerType<T>` | `removeAllDescription()` Removes the `description` element
`ServiceRefHandlerType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ServiceRefHandlerType<T>` | `removeAllIcon()` Removes all `icon` elements
`ServiceRefHandlerType<T>` | `removeAllInitParam()` Removes all `init-param` elements
`ServiceRefHandlerType<T>` | `removeAllPortName()` Removes the `port-name` element
`ServiceRefHandlerType<T>` | `removeAllSoapHeader()` Removes the `soap-header` element
`ServiceRefHandlerType<T>` | `removeAllSoapRole()` Removes the `soap-role` element
`ServiceRefHandlerType<T>` | `removeHandlerClass()` Removes the `handler-class` element
`ServiceRefHandlerType<T>` | `removeHandlerName()` Removes the `handler-name` element
`ServiceRefHandlerType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ServiceRefHandlerType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ServiceRefHandlerType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ServiceRefHandlerType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ServiceRefHandlerType<T>` | `setHandlerClass(java.lang.String handlerClass)` If not already created, a new `handler-class` element with the given value will be created.
`ServiceRefHandlerType<T>` | `setHandlerName(java.lang.String handlerName)` If not already created, a new `handler-name` element with the given value will be created.
`ServiceRefHandlerType<T>` | `setPortName(java.lang.String portName)` Creates a new `port-name` element
`ServiceRefHandlerType<T>` | `setPortNameList(java.lang.String... values)` Creates for all String objects representing `port-name` elements, a new `port-name` element
`ServiceRefHandlerType<T>` | `setSoapHeader(java.lang.String soapHeader)` Creates a new `soap-header` element
`ServiceRefHandlerType<T>` | `setSoapHeaderList(java.lang.String... values)` Creates for all String objects representing `soap-header` elements, a new `soap-header` element
`ServiceRefHandlerType<T>` | `setSoapRole(java.lang.String soapRole)` Creates a new `soap-role` element
`ServiceRefHandlerType<T>` | `setSoapRoleList(java.lang.String... values)` Creates for all String objects representing `soap-role` elements, a new `soap-role` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefHandlerTypeImpl

    public ServiceRefHandlerTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node)

### ServiceRefHandlerTypeImpl

    public ServiceRefHandlerTypeImpl(T t,
                                     java.lang.String nodeName,
                                     org.jboss.shrinkwrap.descriptor.spi.Node node,
                                     org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ServiceRefHandlerType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### setDescriptionList

    public ServiceRefHandlerType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ServiceRefHandlerType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllDescription

    public ServiceRefHandlerType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ServiceRefHandlerType<T>`
  Returns:
    list of `description`

### setDisplayName

    public ServiceRefHandlerType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### setDisplayNameList

    public ServiceRefHandlerType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `ServiceRefHandlerType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllDisplayName

    public ServiceRefHandlerType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `ServiceRefHandlerType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public ServiceRefHandlerType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### icon

    public IconType<ServiceRefHandlerType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `ServiceRefHandlerType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<ServiceRefHandlerType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `ServiceRefHandlerType<T>`
  Returns:
    list of `icon`

### setHandlerName

    public ServiceRefHandlerType<T> setHandlerName(java.lang.String handlerName)

  If not already created, a new `handler-name` element with the given value will be created. Otherwise, the existing `handler-name` element will be updated with the given value.

  Specified by:
    `setHandlerName` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeHandlerName

    public ServiceRefHandlerType<T> removeHandlerName()

  Removes the `handler-name` element

  Specified by:
    `removeHandlerName` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### getHandlerName

    public java.lang.String getHandlerName()

  Returns the `handler-name` element

  Specified by:
    `getHandlerName` in interface `ServiceRefHandlerType<T>`
  Returns:
    the node defined for the element `handler-name`

### setHandlerClass

    public ServiceRefHandlerType<T> setHandlerClass(java.lang.String handlerClass)

  If not already created, a new `handler-class` element with the given value will be created. Otherwise, the existing `handler-class` element will be updated with the given value.

  Specified by:
    `setHandlerClass` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeHandlerClass

    public ServiceRefHandlerType<T> removeHandlerClass()

  Removes the `handler-class` element

  Specified by:
    `removeHandlerClass` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### getHandlerClass

    public java.lang.String getHandlerClass()

  Returns the `handler-class` element

  Specified by:
    `getHandlerClass` in interface `ServiceRefHandlerType<T>`
  Returns:
    the node defined for the element `handler-class`

### removeAllInitParam

    public ServiceRefHandlerType<T> removeAllInitParam()

  Removes all `init-param` elements

  Specified by:
    `removeAllInitParam` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### initParam

    public ParamValueType<ServiceRefHandlerType<T>> initParam()

  Returns the `init-param` element

  Specified by:
    `initParam` in interface `ServiceRefHandlerType<T>`
  Returns:
    the node defined for the element `init-param`

### getInitParamList

    public java.util.List<ParamValueType<ServiceRefHandlerType<T>>> getInitParamList()

  Returns all `init-param` elements

  Specified by:
    `getInitParamList` in interface `ServiceRefHandlerType<T>`
  Returns:
    list of `init-param`

### setSoapHeader

    public ServiceRefHandlerType<T> setSoapHeader(java.lang.String soapHeader)

  Creates a new `soap-header` element

  Specified by:
    `setSoapHeader` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### setSoapHeaderList

    public ServiceRefHandlerType<T> setSoapHeaderList(java.lang.String... values)

  Creates for all String objects representing `soap-header` elements, a new `soap-header` element

  Specified by:
    `setSoapHeaderList` in interface `ServiceRefHandlerType<T>`
  Parameters:
    `list` - of `soap-header` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllSoapHeader

    public ServiceRefHandlerType<T> removeAllSoapHeader()

  Removes the `soap-header` element

  Specified by:
    `removeAllSoapHeader` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### getSoapHeaderList

    public java.util.List<java.lang.String> getSoapHeaderList()

  Returns all `soap-header` elements

  Specified by:
    `getSoapHeaderList` in interface `ServiceRefHandlerType<T>`
  Returns:
    list of `soap-header`

### setSoapRole

    public ServiceRefHandlerType<T> setSoapRole(java.lang.String soapRole)

  Creates a new `soap-role` element

  Specified by:
    `setSoapRole` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### setSoapRoleList

    public ServiceRefHandlerType<T> setSoapRoleList(java.lang.String... values)

  Creates for all String objects representing `soap-role` elements, a new `soap-role` element

  Specified by:
    `setSoapRoleList` in interface `ServiceRefHandlerType<T>`
  Parameters:
    `list` - of `soap-role` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllSoapRole

    public ServiceRefHandlerType<T> removeAllSoapRole()

  Removes the `soap-role` element

  Specified by:
    `removeAllSoapRole` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### getSoapRoleList

    public java.util.List<java.lang.String> getSoapRoleList()

  Returns all `soap-role` elements

  Specified by:
    `getSoapRoleList` in interface `ServiceRefHandlerType<T>`
  Returns:
    list of `soap-role`

### setPortName

    public ServiceRefHandlerType<T> setPortName(java.lang.String portName)

  Creates a new `port-name` element

  Specified by:
    `setPortName` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### setPortNameList

    public ServiceRefHandlerType<T> setPortNameList(java.lang.String... values)

  Creates for all String objects representing `port-name` elements, a new `port-name` element

  Specified by:
    `setPortNameList` in interface `ServiceRefHandlerType<T>`
  Parameters:
    `list` - of `port-name` objects
  Returns:
    the current instance of `ServiceRefHandlerType`

### removeAllPortName

    public ServiceRefHandlerType<T> removeAllPortName()

  Removes the `port-name` element

  Specified by:
    `removeAllPortName` in interface `ServiceRefHandlerType<T>`
  Returns:
    the current instance of `ServiceRefHandlerType`

### getPortNameList

    public java.util.List<java.lang.String> getPortNameList()

  Returns all `port-name` elements

  Specified by:
    `getPortNameList` in interface `ServiceRefHandlerType<T>`
  Returns:
    list of `port-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD